Skip to main content
POST
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
roles
Create workspace role
curl --request POST \
  --url https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/roles \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "user_email": "jsmith@example.com",
  "role": "workspace_viewer"
}
'
{
  "user_email": "test_email@test.com",
  "role": "workspace_editor"
}

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

organization_id
string<uuid>
required

A UUID string identifying the organization.

workspace_id
string<uuid>
required

A UUID string identifying the workspace.

Body

user_email
string<email>
required
role
enum<string>
required
  • workspace_viewer - Workspace Viewer
  • workspace_editor - Workspace Editor
Available options:
workspace_viewer,
workspace_editor

Response

201 - application/json

UserWorkspaceRole created successfully.

user
string<uuid>
required
workspace
string<uuid>
required
role
enum<string>
  • workspace_viewer - Workspace Viewer
  • workspace_editor - Workspace Editor
Available options:
workspace_viewer,
workspace_editor